cURL
curl "https://api.phrase.com/v2/projects/:project_id/jobs/:job_id/locales?branch=my-feature-branch" \
-u USERNAME_OR_ACCESS_TOKENphrase job_locales list \
--project_id <project_id> \
--job_id <job_id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/jobs/{job_id}/locales"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/jobs/{job_id}/locales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "626ea67628690c73ac86ac81eec2d185",
"job": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Job 1",
"state": "completed"
},
"users": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe",
"role": "translator"
}
],
"teams": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "Joe's team",
"role": "translator"
}
],
"locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
},
"annotations": [
{
"name": "priority",
"value": "high",
"created_at": "2023-10-01T12:00:00Z",
"updated_at": "2023-10-01T12:00:00Z"
}
],
"completed": true,
"translation_completed_at": "2017-01-28T09:52:53Z",
"review_completed_at": "2017-01-28T09:52:53Z"
}
]Job Locales
List job target locales
List all target locales for a given job.
GET
/
projects
/
{project_id}
/
jobs
/
{job_id}
/
locales
cURL
curl "https://api.phrase.com/v2/projects/:project_id/jobs/:job_id/locales?branch=my-feature-branch" \
-u USERNAME_OR_ACCESS_TOKENphrase job_locales list \
--project_id <project_id> \
--job_id <job_id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/jobs/{job_id}/locales"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/jobs/{job_id}/locales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "626ea67628690c73ac86ac81eec2d185",
"job": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Job 1",
"state": "completed"
},
"users": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe",
"role": "translator"
}
],
"teams": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "Joe's team",
"role": "translator"
}
],
"locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
},
"annotations": [
{
"name": "priority",
"value": "high",
"created_at": "2023-10-01T12:00:00Z",
"updated_at": "2023-10-01T12:00:00Z"
}
],
"completed": true,
"translation_completed_at": "2017-01-28T09:52:53Z",
"review_completed_at": "2017-01-28T09:52:53Z"
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Query Parameters
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
Branch to use
Include job-locale annotations in the response
Response
OK
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I